Slackware Slackware

LibreOffice 6.3.4 packages for Slackware-current

libreoffice 6 3 4 packages for slackware current - LibreOffice 6.3.4 packages for Slackware-current

After a recent upgrade of the ‘boost’ package in slackware-current my LibreOffice package was in need of a refresh.
I do of course offer a ‘boost-compat‘ package in my own repository to prevent breakage of the 3rd-part applications that have a boost dependency, but a newer release of LibreOffice was available anyway.
So I compiled LibreOffice 6.3.4 for Slackware -current and uploaded these packages to my repository.

Note that the packages for LibreOffice in my repository, do contain “libreoffice-kde-integration” for Slackware -current, containing Qt5 and KDE5 (aka Plasma5) support. On the other hand, the packages I compile for Slackware 14.2 do not contain “libreoffice-kde-integration” any longer.
If you run Slackware-current but do not have KDE5 packages installed at all, don’t worry. LibreOffice will work great – the KDE integration package just will not add anything useful for you. On the other hand, if you have Plasma5 installed you will benefit from native file selection dialog windows and other integration features. And even if you do not have Plasma5 but you do have Qt5 installed, then you will be able to run LibreOffice with Qt5 User Interface elements instead of defaulting to GTK3.

If you want to compile Libreoffice 6.3.4 packages yourself using my SlackBuild, then be aware that by default the KDE5 support is disabled. You will have to set the value of the script parameter “ADD_KDE5” to “YES”. Additionally you will have to install the packages that this functionality depends on otherwise the compilation will fail.
Read the ‘README.kde5‘ file in the source directory for the list of packages you’ll need. All of them can be  found in my ‘ktown’ repository: https://slackware.nl/alien-kde/current/latest/

Enjoy! Eric

Sending
User Review
0 (0 votes)